Browse source

Changelog

Query
From:
To:
Branch:
Path:
Message:
BugID:
User: +
Format:
: 1 checkin (+162/-24) by Henrik Grubbström (Grubba) <grubba@grubba.org> Lines added/removed recently

Wednesday 26 June 2019

2019-06-26 16:18:24 (1 year ago) by Henrik Grubbström (Grubba) <grubba@grubba.org>

Compiler: Increase paranoia of the implements and is_compatible caches.

implements() and is_compatible() should now survive if their low-level
implementations release the interpreter lock.

Fixes PIKE-192 (#8192).

[permalink]

Bugs mentioned

  #8192CLOSEDMake the is_compatible() and implements() caches more race-safe.
Bugs? Suggestions?